Tspi_Key_LoadKey(3)

TCG Software Stack Developer's Reference

NAME
Tspi_Key_LoadKey - load a key into the TPM

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Key_LoadKey(TSS_HKEY hKey, TSS_HKEY hUnwrappingKey);

DESCRIPTION

Tspi_Key_LoadKey loads the key referenced by hKey into the TPM.

PARAMETERS

  hKey
The hKey parameter is the handle of the key object to load.

  hUnwrappingKey
The hUnwrappingKey parameter is the handle of the key which should be used to unwrap the key addressed by hKey.

RETURN CODES

Tspi_Key_LoadKey returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    Either hKey or hUnwrappingKey is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_Key_LoadKey conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Key_UnloadKey(3), Tspi_Key_GetPubKey(3).